Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2189434 - Backport the fix for a deadlock case with Zink
Summary: Backport the fix for a deadlock case with Zink
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Olivier Fourdan
QA Contact: Fedora Extras Quality Assurance
URL: https://gitlab.freedesktop.org/xorg/x...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-04-25 08:36 UTC by Olivier Fourdan
Modified: 2023-05-09 01:38 UTC (History)
8 users (show)

Fixed In Version: xorg-x11-server-1.20.14-23.fc38 xorg-x11-server-1.20.14-23.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-28 02:36:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Olivier Fourdan 2023-04-25 08:36:22 UTC
This is a request originating from Mike Blumenkrantz to backport the fix from upstream MR  https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/1057 in Fedora's Xserver 1.20.

That fix is already merged upstream in the main branch and in Xwayland as well, but that fix did not reach the (older) version 1.20 of the Xserver we ship in Fedora.

Reproducible: Always

Steps to Reproduce:
N/A

Comment 2 Fedora Update System 2023-04-26 09:29:06 UTC
FEDORA-2023-041361c404 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-041361c404

Comment 3 Fedora Update System 2023-04-26 09:52:06 UTC
FEDORA-2023-319b7f56ac has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-319b7f56ac

Comment 4 Fedora Update System 2023-04-27 01:39:43 UTC
FEDORA-2023-319b7f56ac has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-319b7f56ac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-319b7f56ac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-04-27 02:29:42 UTC
FEDORA-2023-041361c404 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-041361c404`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-041361c404

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-04-28 02:36:32 UTC
FEDORA-2023-041361c404 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-05-09 01:38:10 UTC
FEDORA-2023-319b7f56ac has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.